summaryrefslogtreecommitdiff
blob: a5242575644c4b0aa408697bcc40e92807a30cc3 (plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE glsa SYSTEM "http://www.gentoo.org/dtd/glsa.dtd">
<glsa id="200711-10">
  <title>Mono: Buffer overflow</title>
  <synopsis>
    Mono's BigInteger implementation contains a buffer overflow vulnerability
    that might lead to the execution of arbitrary code.
  </synopsis>
  <product type="ebuild">mono</product>
  <announced>2007-11-07</announced>
  <revised>2007-11-07: 01</revised>
  <bug>197067</bug>
  <access>remote</access>
  <affected>
    <package name="dev-lang/mono" auto="yes" arch="*">
      <unaffected range="ge">1.2.5.1-r1</unaffected>
      <vulnerable range="lt">1.2.5.1-r1</vulnerable>
    </package>
  </affected>
  <background>
    <p>
    Mono provides the necessary software to develop and run .NET client and
    server applications on various platforms.
    </p>
  </background>
  <description>
    <p>
    IOActive discovered an error in the Mono.Math.BigInteger class, in the
    reduction step of the Montgomery-based Pow methods, that could lead to
    a buffer overflow.
    </p>
  </description>
  <impact type="high">
    <p>
    A remote attacker could exploit this vulnerability by sending specially
    crafted data to Mono applications using the BigInteger class, which
    might lead to the execution of arbitrary code with the privileges of
    the user running the application (possibly root) or a Denial of
    Service.
    </p>
  </impact>
  <workaround>
    <p>
    There is no known workaround at this time.
    </p>
  </workaround>
  <resolution>
    <p>
    All Mono users should upgrade to the latest version:
    </p>
    <code>
    # emerge --sync
    # emerge --ask --oneshot --verbose "&gt;=dev-lang/mono-1.2.5.1-r1"</code>
  </resolution>
  <references>
    <uri link="https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2007-5197">CVE-2007-5197</uri>
  </references>
  <metadata tag="submitter" timestamp="2007-11-03T23:52:57Z">
    rbu
  </metadata>
  <metadata tag="bugReady" timestamp="2007-11-07T22:49:37Z">
    p-y
  </metadata>
</glsa>